List Projects
curl --request GET \
--url https://api.mokaru.ai/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mokaru.ai/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mokaru.ai/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Projects
List Projects
List projects on your career profile
GET
/
v1
/
projects
List Projects
Overview
Retrieve all projects on the authenticated user’s base resume.Scope required:
projects:read | Rate limit: 60 requests/minRequest
GET /v1/projects?limit=25&offset=0
Query Parameters
number
default:"25"
Results per page (max 100)
number
default:"0"
Pagination offset
string
Target a specific resume by its id (from
list-resumes). Omit to use your base/default resume; the resume must be self-contained.Response
{
"data": [
{
"id": "clx...",
"name": "Open Source CRM",
"organisation": "Self-initiated",
"description": "A modern CRM built with Next.js and Postgres",
"startDate": "2023-01-01T00:00:00.000Z",
"endDate": null,
"isCurrent": true,
"url": "https://github.com/user/crm",
"createdAt": "2026-01-15T10:00:00.000Z",
"updatedAt": "2026-01-15T10:00:00.000Z"
}
],
"total": 3,
"hasMore": false,
"limit": 25,
"offset": 0
}
Was this page helpful?
⌘I
